package com.yeejoin.amos.api.tool.face.rowmapper;

import com.yeejoin.amos.api.component.face.model.AdapterCategoryModel;
import org.springframework.jdbc.core.RowMapper;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Timestamp;
import java.text.ParseException;
import java.text.SimpleDateFormat;

public class ApiSourceRowMapper implements RowMapper<AdapterCategoryModel> {

    @Override
    public AdapterCategoryModel mapRow(ResultSet rs, int rowNum) throws SQLException {
        AdapterCategoryModel adapterCategoryModel=new AdapterCategoryModel();
        adapterCategoryModel.setCategoryName(rs.getString("CATEGORY_NAME"));
        adapterCategoryModel.setCategoryKey(rs.getString("CATEGORY_KEY"));
        adapterCategoryModel.setSequenceNbr(rs.getLong("SEQUENCE_NBR"));
        adapterCategoryModel.setExtras(rs.getString("EXTRAS"));
        adapterCategoryModel.setCategoryType(rs.getString("CATEGORY_TYPE"));
        adapterCategoryModel.setSort(rs.getInt("SORT"));
        return adapterCategoryModel;
    }

}
