package com.yeejoin.amos.api.tool.utils;

import org.springframework.jdbc.core.JdbcTemplate;
import javax.sql.DataSource;

public class ToolUtils {

    public static final Boolean IS_DELETE = true;

    private static JdbcTemplate jdbcTemplate = new JdbcTemplate();

    public void setDataSource() {
        MultiDataSourceUtil multiDataSourceUtil = new MultiDataSourceUtil();
        DataSource dataSource = multiDataSourceUtil.getDataSource();
        jdbcTemplate.setDataSource(dataSource);
    }

    public static JdbcTemplate getJdbcTemplate() {
        ToolUtils toolUtils = new ToolUtils();
        toolUtils.setDataSource();
        return jdbcTemplate;
    }

    public static int getSort(String categoryType) {
        Integer result = jdbcTemplate.queryForObject("SELECT COUNT(*) FROM adapter_category WHERE CATEGORY_TYPE=?", new String[]{categoryType}, Integer.class);
        return result + 1;
    }

}
