package com.yeejoin.amos.api.tool.face.orm.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.typroject.tyboot.core.rdbms.orm.entity.BaseEntity;


@EqualsAndHashCode(callSuper = true)
@Data
@TableName("scene_case")
public class AmosToolTemplate extends BaseEntity {

    /**
     * 模板名称
     */
    @TableField("TEMPLATE_NAME")
    private String templateName;
    /**
     * 场景类型
     */
    @TableField("CATEGORY_SCENE")
    private String categoryScene;
    /**
     *效果图
     */
    @TableField("SKETCH")
    private String sketch;
    /**
     * 所属机构
     */
    @TableField("AGENCY_NAME")
    private String agencyName;
    /**
     * 查看次数
     */
    @TableField("VIEW_TIMES")
    private Integer viewTimes;
    /**
     * 模板URL
     */
    @TableField("TEMPLATE_LINK")
    private String templateLink;
    /**
     * 是否删除
     */
    @TableField("IS_DELETE")
    private Boolean isDelete;
}
